"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var webapis;
(function (webapis) {
    /**
     * Base OK message.
     * @type {BaseOutgoing}
     */
    webapis.OK = { _status: "ok" };
    /**
     * Customizable FAIL message.
     * @method FAIL
     * @param  {string}       reason  [description]
     * @param  {string}       message [description]
     * @return {BaseOutgoing}         [description]
     */
    function FAIL(reason, message) {
        return {
            _status: "fail",
            _reason: reason,
            _raw: message
        };
    }
    webapis.FAIL = FAIL;
    /**
     * Basic API error that can be thrown.
     * @method constructor
     * @param  {string}    public_reason  [description]
     * @param  {string}    public_message [description]
     * @return {[type]}                   [description]
     */
    class APIError extends Error {
        constructor(reason, message) {
            super(message);
            this.message = message;
            this.name = reason;
            this.message = message;
        }
    }
    webapis.APIError = APIError;
})(webapis = exports.webapis || (exports.webapis = {}));
//# sourceMappingURL=web.apis.js.map